{ config, lib, pkgs, ... }:

{
  imports = [ ./hardware-configuration.nix ./disko-config.nix ];

  boot.loader.grub.enable = true;

  services.openssh.enable = true;

  users.users.hermod = {
    isNormalUser = true;
    extraGroups = [ "wheel" ];
    openssh.authorizedKeys.keys = [
      "sk-ecdsa-sha2-nistp256@openssh.com AAAAInNrLWVjZHNhLXNoYTItbmlzdHAyNTZAb3BlbnNzaC5jb20AAAAIbmlzdHAyNTYAAABBBDpeouwzFZoYA7AYARaJ/qdQHORJB2h1V73PXQYEAI7sDrc3kYwgZPbrZ3pGkGKaHBl45kiV6SYsC7191OCwIl8AAAAEc3NoOg== A"
      "sk-ecdsa-sha2-nistp256@openssh.com AAAAInNrLWVjZHNhLXNoYTItbmlzdHAyNTZAb3BlbnNzaC5jb20AAAAIbmlzdHAyNTYAAABBBHlAtX4mBifZZ8u6sJckCgA6skwN7aamVK+lQuXLQ6kQWJy7GlEXEmoR9RW/0UIrQYLC+wd8Q5MROkYpn+cHLSoAAAAEc3NoOg== B"
    ];
  };

  networking.hostName = "hermod";

  nix.settings.trusted-users = [ "hermod" ];
  nix.settings.experimental-features = [ "nix-command" "flakes" ];
  environment.systemPackages = with pkgs; [ btop vim tailscale python3 htop ];
  nixpkgs.config.allowUnfree = true;
  security.sudo.wheelNeedsPassword = false;
  time.timeZone = "Europe/Helsinki";

  console.keyMap = "no";
  system.stateVersion = "24.11";
}
